import { ILanguagePackItem } from "@codingame/monaco-vscode-93784a59-b4cf-520c-8339-f8104d3a4f3e-common/vscode/vs/platform/languagePacks/common/languagePacks";
export declare const ILocaleService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<ILocaleService>;
export interface ILocaleService {
    readonly _serviceBrand: undefined;
    setLocale(languagePackItem: ILanguagePackItem, skipDialog?: boolean): Promise<void>;
    clearLocalePreference(): Promise<void>;
}
export declare const IActiveLanguagePackService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IActiveLanguagePackService>;
export interface IActiveLanguagePackService {
    readonly _serviceBrand: undefined;
    getExtensionIdProvidingCurrentLocale(): Promise<string | undefined>;
}
